# README

## Steps to release a new version of universal-git-client gem

1- Push the new code on Github repository

2- Execute the rake task `rake version:bump:[type]` with type: <major|minor|patch>

3- Execute the rake task `rake gemspec:release` It will regenerate, validate gemspec then commit and push to git

4- Go to the universal-git-client repository on Github, from the "Code" tab, click on "N releases" (N: releases count), click on "Draft a new release" and fill the form:

- Tag version: version number, for example v0.4.0
- Release title: version number, for example v0.4.0
- Write: release notes

To validate, click on "Publish release" and it's done :)

## Contributing to universal-git-client
 
* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet.
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it.
* Fork the project.
* Start a feature/bugfix branch.
* Commit and push until you are happy with your contribution.
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

## Usage
 * To start the comand line interpreter : `pry -I ./lib -r universal-git-client` 
 
 * To create a client object : `client = UniversalGitClient.factory.build(provider, base_url, access_token)`  
The _base_url_ parameter must be the url to the API of your provider.

 * _Example_: ```client = UniversalGitClient.factory.build(:bitbucket_server, base_url: "http://bitbucket.ngrok.io/rest/api/1.0", access_token: "123456789")```


## Copyright

Copyright (c) 2019 SmartBear - HipTest
